import { LocalStore } from '@/services/local-store';

export class LocalStorageStore implements LocalStore {
    get(key: string) {
        return localStorage.getItem(key);
    }
    save(key: string, data: string) {
        localStorage.setItem(key, data);
    }
    delete(key: string) {
        localStorage.removeItem(key);
    }
    resetStore() {
        localStorage.clear();
    }
}
